.\" Copyright \(co 1985, 1986, 1987, 1988, 1989, 1990, 1991, 1994, 1996 X Consortium
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\"
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.\"
.\" Copyright \(co 1985, 1986, 1987, 1988, 1989, 1990, 1991 by
.\" Digital Equipment Corporation
.\"
.\" Portions Copyright \(co 1990, 1991 by
.\" Tektronix, Inc.
.\"
.\" Permission to use, copy, modify and distribute this documentation for
.\" any purpose and without fee is hereby granted, provided that the above
.\" copyright notice appears in all copies and that both that copyright notice
.\" and this permission notice appear in all copies, and that the names of
.\" Digital and Tektronix not be used in in advertising or publicity pertaining
.\" to this documentation without specific, written prior permission.
.\" Digital and Tektronix makes no representations about the suitability
.\" of this documentation for any purpose.
.\" It is provided "as is" without express or implied warranty.
.\"
.\"
.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xW Athena X Widgets \- C Language X Toolkit Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.TH BlackPixelOfScreen __libmansuffix__ __xorgversion__ "XLIB FUNCTIONS"
.SH NAME
BlackPixelOfScreen, WhitePixelOfScreen, CellsOfScreen, DefaultColormapOfScreen, DefaultDepthOfScreen, DefaultGCOfScreen, DefaultVisualOfScreen, DoesBackingStore, DoesSaveUnders, DisplayOfScreen, XScreenNumberOfScreen, EventMaskOfScreen, HeightOfScreen, HeightMMOfScreen, MaxCmapsOfScreen, MinCmapsOfScreen, PlanesOfScreen, RootWindowOfScreen, WidthOfScreen, WidthMMOfScreen \- screen information functions and macros
.SH SYNTAX
.HP
unsigned long BlackPixelOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
unsigned long WhitePixelOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int CellsOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
Colormap DefaultColormapOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int DefaultDepthOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
GC DefaultGCOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
Visual *DefaultVisualOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int DoesBackingStore\^(\^Screen *\fIscreen\fP\^);
.HP
Bool DoesSaveUnders\^(\^Screen *\fIscreen\fP\^);
.HP
Display *DisplayOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int XScreenNumberOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
long EventMaskOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int HeightOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int HeightMMOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int MaxCmapsOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int MinCmapsOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int PlanesOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
Window RootWindowOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int WidthOfScreen\^(\^Screen *\fIscreen\fP\^);
.HP
int WidthMMOfScreen\^(\^Screen *\fIscreen\fP\^);
.SH ARGUMENTS
.IP \fIscreen\fP 1i
Specifies the appropriate
.B Screen
structure.
.SH DESCRIPTION
The
.B BlackPixelOfScreen
macro returns the black pixel value of the specified screen.
.LP
The
.B WhitePixelOfScreen
macro returns the white pixel value of the specified screen.
.LP
The
.B CellsOfScreen
macro returns the number of colormap cells in the default colormap
of the specified screen.
.LP
The
.B DefaultColormapOfScreen
macro returns the default colormap of the specified screen.
.LP
The
.B DefaultDepthOfScreen
macro returns the default depth of the root window of the specified screen.
.LP
The
.B DefaultGCOfScreen
macro returns the default GC of the specified screen,
which has the same depth as the root window of the screen.
.LP
The
.B DefaultVisualOfScreen
macro returns the default visual of the specified screen.
.LP
The
.B DoesBackingStore
macro returns
.BR WhenMapped ,
.BR NotUseful ,
or
.BR Always ,
which indicate whether the screen supports backing stores.
.LP
The
.B DoesSaveUnders
macro returns a Boolean value indicating whether the
screen supports save unders.
.LP
The
.B DisplayOfScreen
macro returns the display of the specified screen.
.LP
The
.B XScreenNumberOfScreen
function returns the screen index number of the specified screen.
.LP
The
.B EventMaskOfScreen
macro returns the root event mask of the root window for the specified screen
at connection setup.
.LP
The
.B HeightOfScreen
macro returns the height of the specified screen.
.LP
The
.B HeightMMOfScreen
macro returns the height of the specified screen in millimeters.
.LP
The
.B MaxCmapsOfScreen
macro returns the maximum number of installed colormaps supported
by the specified screen.
.LP
The
.B MinCmapsOfScreen
macro returns the minimum number of installed colormaps supported
by the specified screen.
.LP
The
.B PlanesOfScreen
macro returns the number of planes in the root window of the specified screen.
.LP
The
.B RootWindowOfScreen
macro returns the root window of the specified screen.
.LP
The
.B WidthOfScreen
macro returns the width of the specified screen.
.LP
The
.B WidthMMOfScreen
macro returns the width of the specified screen in millimeters.
.SH "SEE ALSO"
AllPlanes(__libmansuffix__),
ImageByteOrder(__libmansuffix__),
IsCursorKey(__libmansuffix__)
.br
\fI\*(xL\fP
